package com.altimetrik.playground.candidate.assessment.repository;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import com.altimetrik.playground.candidate.assessment.entity.Product;

@Repository
public interface ProductRepo extends JpaRepository<Product, Integer> {

	@Query(value="select distinct p from Product p where p.prodname like '%?1%' order by p.price",nativeQuery = false)
	List<Product> getProduct(String prodName);
	
}
